Bug Hunting Session
Bug 48335 - FILESAVE: RTF export
Summary: FILESAVE: RTF export
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
3.5 Daily
Hardware: Other All
: medium major
Assignee: Miklos Vajna
URL:
Whiteboard: BSA target:3.7.0 target:3.6.0.0.beta3...
Keywords: filter:rtf, regression
Depends on:
Blocks:
 
Reported: 2012-04-05 07:07 UTC by Riccardo Giuliani
Modified: 2015-12-17 12:05 UTC (History)
1 user (show)

See Also:
Crash report or crash signature:


Attachments
An odt file that could not be exported and re-opened correctly in rtf. Version 2.4 of LibreOffice works fine (55.37 KB, application/vnd.oasis.opendocument.text)
2012-04-05 07:07 UTC, Riccardo Giuliani
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Riccardo Giuliani 2012-04-05 07:07:53 UTC
Created attachment 59523 [details]
An odt file that could not be exported and re-opened correctly in rtf. Version 2.4 of LibreOffice works fine

Problem description: an rtf file exported from an existing odt can not be reopened

Steps to reproduce:
1. create an odt complex file (at least 2 or 3 chapter, drop cap, italian and bold style in text)
2. export in rtf format
3. try to re-open

Current behavior: the program freeze or crash

Expected behavior: the program should correctly open the rtf file

Platform (if different from the browser): Windows 7
              
Browser: Mozilla/5.0 (Windows NT 6.1; rv:11.0) Gecko/20100101 Firefox/11.0
Comment 1 s-joyemusequna 2012-06-15 06:37:32 UTC
Confirmed. Works fine with LibO 3.4.5 => regression.

Doesn't work with LibO 3.5.4, LibO 3.6 Beta1, and LOdev 3.7 (master - 2012-06-14, Win-x86@6-fast; Build ID: 5af60dc). Layout is damaged, the RTF document has 17 or more (sixty with LibO 3.4.5) pages instead of 9.

When opened with Word 2007, a message that a table has been damaged is displayed.

Tested under Windows XP and Windows Vista 64.
Comment 2 Jean-Baptiste Faure 2012-06-16 15:30:23 UTC
No crash when opening the file saved as RTF by LO 3.5.4.2 with LO 3.5.4.2, LO 3.6.0beta1+ (Build ID: 70ed7be) and LO 3.7.0alpha0+ (Build ID: b22c28c) under Ubuntu 11.10 x86_64.
But indeed the layout is different, perhaps RTF export creates sections to manage page styles changes.

Miklos: please have a look. Feel free to reassign if you can't handle this issue.

Best regards. JBF
Comment 3 Not Assigned 2012-06-26 08:58:34 UTC
Miklos Vajna committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=5d505e5b1edee7f709e4baff70a971cb3fe851c2

fdo#48335 RTF export: don't try to end not started runs
Comment 4 Not Assigned 2012-06-26 08:59:00 UTC
Miklos Vajna committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=9ad4c4835614fe1c1cf82a9cf02d3069fd8bff2a

fdo#48335 don't export zoom factor when zoom type is not percent
Comment 5 Miklos Vajna 2012-06-26 09:00:51 UTC
I've fixed two related issues, but the main problem (continous section break exported as page break) is still there, I'll try to track down what's goind on here.

FWIW, the .doc exporter has the same issue.
Comment 6 Not Assigned 2012-06-27 03:54:34 UTC
Miklos Vajna committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=a03895986308206cc13a6f5ae25138d4b4ad5d43

fdo#48335 RTF export: avoid fake page breaks on page style changes
Comment 7 Not Assigned 2012-06-27 03:55:01 UTC
Miklos Vajna committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=87d29c4506093680eaf5300fa0ed95a6897120d1

fdo#48335 testcase
Comment 8 Miklos Vajna 2012-06-27 06:09:46 UTC
Resolved in master and -3-6, will request cherry-pick to -3-5 as well.
Comment 9 Not Assigned 2012-07-19 16:06:12 UTC
Miklos Vajna committed a patch related to this issue.
It has been pushed to "libreoffice-3-5":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=33b5531fcc91d52196d6a5a1da976c8e0c5c6d97&g=libreoffice-3-5

fdo#48335 two RTF export fixes


It will be available in LibreOffice 3.5.6.
Comment 10 Robinson Tryon (qubit) 2015-12-17 12:05:56 UTC
Migrating Whiteboard tags to Keywords: (filter:rtf)
Replace rtf_filter -> filter:rtf.
[NinjaEdit]